#!/bin/bash

# change samplerate in /etc/pulse/daemon.conf config to 192000
# verify with:
#  less /proc/asound/card1/pcm0p/sub1/hw_params 


# get name and card_name using: pacmd list-sinks

id=`pacmd dump | grep -e load.*Kontrol.* | head -n 1 | sed "s/.*device_id=\"//g" | sed "s/\".*//g"`

pacmd load-module module-alsa-card device_id="$id" name="usb-Native_Instruments_Audio_Kontrol_1_SN-SN-2U38Y8KE8O-00-AudioKontrol1.analog-stereo" card_name="alsa_card.usb-Native_Instruments_Audio_Kontrol_1_SN-SN-2U38Y8KE8O-01-AudioKontrol1" namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no deferred_volume=yes use_ucm=yes card_properties="module-udev-detect.discovered=1" sink_properties=device.description=AudioKontrol34

#  sink_properties="device.description='Audio Kontrol 3/4'"

# warning: device id might change!!!!


# OLD CODE=
# pacmd load-module module-alsa-card device_id="$id" name="usb-Native_Instruments_Audio_Kontrol_1_SN-SN-2U38Y8KE8O-01-AudioKontrol1" card_name="alsa_card.usb-Native_Instruments_Audio_Kontrol_1_SN-SN-2U38Y8KE8O-01-AudioKontrol1" namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no deferred_volume=yes use_ucm=yes card_properties="module-udev-detect.discovered=1" sink_properties="device.description='Audio Kontrol 3/4'"
